Caffeine updated to support FW 4.1.0, works on patched Switches

Discussion in 'GBAtemp & Scene News' started by RattletraPM, Jun 25, 2019.


    37,852

    111
    Front-page
    caffeine_resized.
    The wait is over! Caffeine, a Deja Vu-based warmboot exploit for the Nintendo Switch which allows users to launch any RCM payload, has been updated to support firmware 4.1.0. While this is already good per se, things become significantly more interesting if you consider that the exploit is also able to work on patched consoles, thus marking the first time said units are able to boot into full CFW! PegaScape has also been updated to include this new version of Caffeine, giving users an easy way to take advantage of it on their consoles.

    Since then, two videos have been uploaded showing the new Caffeine in action, one using PegaSwitch and the other Pegascape. If you're curious, you can watch both below:


    However, if you want to try this yourself, be very wary when using homebrew able to make permanent modifications to your system's NAND. What works or is easily fixable on a fusèe-gelèe compatible Switch can make a patched unit permanently bricked. Do not enable AutoRCM under any circumstance on a patched console, you will brick if you do so. On the other hand, it is highly recommended to make a NAND backup as soon as possible and dump your keys using Lockpick_RCM. You can also set up emuMMC to run games and homebrew using any higher firmware you like while leaving sysNAND on 4.1.0 to boot Caffeine.

    While there is no detailed guide on how to set up the exploit yet, user-friendly tutorials are said to be on their way for anyone interested.

    EDIT: PegaScape has now been released publicly, see the second Source link for more info.

    :arrow: Source 1 (original NOTE: ReadMe has not been updated yet / precompiled binaries)
    :arrow: Source 2
     
    eteles, oslo83, renjiVII and 38 others like this.
    Discussion (111 replies)
  1. Nudu

    Nudu Advanced Member

    Newcomer
    2
    Feb 18, 2018
    Germany
    Final Destination
    finally some good fucking news
     
  2. Unleanone999

    Unleanone999 GBAtemp Advanced Fan

    Member
    5
    May 15, 2018
    Togo
    Awesome work guys.
     
  3. RandomTake

    RandomTake Newbie

    Newcomer
    2
    Feb 11, 2019
    United Kingdom
    Great work by all involved. I assume this opens up for all the ipatched owners out there. Also curious does this pertain to only 4.1.0 or lower consoles?
     
    weatMod likes this.
  4. RattletraPM
    OP

    RattletraPM GBATemp's official 蒸気イーブイ

    pip Reporter
    15
    Jan 18, 2017
    Italy
    Shinjuku Station
    Yes, Caffeine is also compatible on firmware 2.0.0-3.0.0! (If you are on 1.0.0, use Nereba instead)
     
  5. masagrator

    masagrator File digger

    Member
    7
    Oct 14, 2018
    Poland
    Caffeine works only with 2.x-4.1.0 for now, PegaScape supports FWs 1.0.0-4.1.0 thanks to using also Nereba exploit.
     
  6. Andalitez

    Andalitez GBAtemp Fan

    Member
    4
    Jul 2, 2018
    France
    Final Space
    Very exciting times for ipatched unit owners on 4.1.0 and lower
     
  7. Bladexdsl

    Bladexdsl ZOMG my posts...it's over 9000!!!

    Member
    16
    Nov 17, 2008
    Australia
    Queensland
    careful too much Caffeine is bad for you :creep:
     
    BATMAN-, mikefor20 and tommasi like this.
  8. tommasi

    tommasi Member

    Newcomer
    5
    Jul 11, 2006
    Canada
    The wait is over!!
     
  9. Nerdtendo

    Nerdtendo Your friendly neighborhood idiot

    Member
    8
    Sep 29, 2016
    United States
    Several questions because I got out of the loop and then my old (hacked) switch broke.
    What was patched in 4.10? Can it be circumvented?
    Does this require a jig?
    Do consoles with emunand still get banned?
    Is this available for the general public right now?


    PS great job to everyone involved for getting this to work
     
  10. silvershadow

    silvershadow GBAtemp Regular

    Member
    6
    May 16, 2006
    Canada
    this is also good news for people with unpatched units that stayed on 4.1.0 and dont want to bother with a jig :D
     
    MarkDarkness likes this.
  11. nolimits59

    nolimits59 GBAtemp Advanced Fan

    Member
    6
    Apr 25, 2008
    France
    It finally started ! Can't wait for 7.0.x ! :D
     
  12. WiiHomebrew+Snes

    WiiHomebrew+Snes GBAtemp Fan

    Member
    5
    May 4, 2016
    United States
    Mmmm nice, I needed more caffeine
     
  13. masagrator

    masagrator File digger

    Member
    7
    Oct 14, 2018
    Poland
    1. Switch hardware patched units came out first with FW 4.1.0
    2. No
    3. No
    4. Yes
    5. Yes
     
  14. Nerdtendo

    Nerdtendo Your friendly neighborhood idiot

    Member
    8
    Sep 29, 2016
    United States
    Too bad for anyone higher than 4.1.0. at least we have a start!
     
    renjiVII and Darksabre72 like this.
  15. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    15
    Oct 7, 2007
    United States
    Levelland, Texas
    Will the Fake News Installer be updated to work on 4.1? If so I'll probably wait till that's a thing. I'd prefer to avoid connecting 4.1 to any form of Wifi what so ever.
     
  16. guitarheroknight

    guitarheroknight 1.6180339887

    Member
    12
    Nov 9, 2014
    Norway
    Grand Line
    It takes quite a bit longer than starting the console with a dongle.
     
    smf likes this.
  17. SwitchMods

    SwitchMods Member

    Newcomer
    1
    Aug 27, 2018
    Netherlands
    I know I might look like a retard for asking this, but I can't find the answer anywhere:

    using this exploit will allow us to install a permanet cfw? or we will still boot from OFW and then run the exploit?
    What i'm asking is if there is a way to directly boot in CFW withount passing from OFW first.

    Sorry for my ignorance.
     
  18. RattletraPM
    OP

    RattletraPM GBATemp's official 蒸気イーブイ

    pip Reporter
    15
    Jan 18, 2017
    Italy
    Shinjuku Station
    Deja Vu is confirmed to be working all the way up to 7.0.1, so there's still hope if your console is anywhere between 4.1.0 and that :P (Though the implementation is said to take a while to be coded especially for the later firmware versions, as things can get a bit convoluted)

    On the other hand, if you're on 8.0.0 or later, well... you may have to wait a long time.

    It's warmboot, so you need to boot from OFW to get into CFW.
     
    Last edited by RattletraPM, Jun 25, 2019
    leafeon34 likes this.
  19. SwitchMods

    SwitchMods Member

    Newcomer
    1
    Aug 27, 2018
    Netherlands
    Do you think it will be possible at some point to boot directly in CFW without passing from OFW? thanks for your time.
     
    Last edited by SwitchMods, Jun 25, 2019
Loading...